class NurseryDetail {
  int? id;
  String? workerName;
  String? trayNumber;
  int? tbNurseryId;

  NurseryDetail({this.id, this.workerName, this.trayNumber, this.tbNurseryId});

  NurseryDetail.clone(NurseryDetail nurseryDetail) {
    id = nurseryDetail.id;
    workerName = nurseryDetail.workerName;
    trayNumber = nurseryDetail.trayNumber;
    tbNurseryId = nurseryDetail.tbNurseryId;
  }

  NurseryDetail.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    workerName = json['workerName'];
    trayNumber = json['trayNumber'];
    tbNurseryId = json['tbNurseryId'];
  }

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['workerName'] = workerName;
    data['trayNumber'] = trayNumber;
    data['tbNurseryId'] = tbNurseryId;
    return data;
  }
}
